1 Reply Latest reply on May 21, 2010 7:13 PM by pwillener

    Trying to update 5.0!

    snowwhitemac

      Not really techno-savvy, and just realized I have Acrobat Reader 5.0 -- apparently it's been updated a few times!  However, it also looks like I can't just jump right into the newest 9.xx version.  Can't tell if I need to start with 6.xx and work my way up, or maybe just trash the old version all together, and then download the latest and greatest?  I have an iMac Power PC G3, OS 10.4.11, with sufficient RAM and HD space.  Anything else you need to know?

       

      Thanks for helping me figure this out!